summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* net-analyzer/suricata: add libjansson subslot depSam James2021-09-252-2/+2
| | | | | | | Earlier versions of libjansson lacked symbol versioning, causing crashes. Bug: https://bugs.gentoo.org/812119 Signed-off-by: Sam James <sam@gentoo.org>
* **/metadata.xml: Replace http by https in DOCTYPE elementUlrich Müller2021-09-111-1/+1
| | | | | Bug: https://bugs.gentoo.org/552720 Signed-off-by: Ulrich Müller <ulm@gentoo.org>
* net-analyzer/suricata: get rid of dev-libs/hyperscan automagicMarek Szuba2021-09-033-2/+28
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: add TODO note about hyperscan automagicMarek Szuba2021-09-032-0/+2
| | | | | | | Even with USE=-hyperscan, if dev-libs/hyperscan is present at configure time it is pulled in. Same deal as with lz4 earlier. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: Add hyperscan USE flag.Jonathan Davies2021-09-033-2/+5
| | | | | Signed-off-by: Jonathan Davies <jpds@protonmail.com> Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: keyword 6.0.3 for ~riscvMarek Szuba2021-08-231-1/+1
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: [QA] call tmpfiles_process in pkg_postinstSam James2021-07-312-0/+4
| | | | | | | | This is needed to actually apply the tmpfiles configuration we've installed in the ebuild. See tmpfiles.eclass documentation. Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Sam James <sam@gentoo.org>
* net-analyzer/suricata: install logrotate files unconditionallyMarek Szuba2021-07-253-15/+8
| | | | | | | No revbump in order to avoid forcing everyone to reinstall. Suggested-by: Sam James <sam@gentoo.org> Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: add 6.0.3, drop 6.0.2Marek Szuba2021-07-012-16/+4
| | | | | | Now with rust-1.53 compatibility and without CVE-2021-35063. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: add 5.0.7, drop 5.0.6Marek Szuba2021-07-012-3/+3
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: limit version of currently selected rustMarek Szuba2021-06-211-1/+13
| | | | | | | | | | | While simply limiting the version of virtual/rust in dependencies is likely enough for most users at present, if someone has got both rust and rust-bin emerged the virtual will only affect the version of one of them - and it is possible that the version currently set as active by "eselect rust" is not a supported one. Closes: https://bugs.gentoo.org/797370 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: update HOMEPAGEMarek Szuba2021-06-212-2/+2
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata-6.0.2: restrict Rust versionMarek Szuba2021-06-211-1/+1
| | | | | | | | | | | | | The bundled lexical-core-0.6.7 is not compatible with rust-1.53 due to stabilisation of <integer>::BITS, see https://github.com/rust-lang/rust/issues/81654 . Already fixed by lexical-core upstream (in version 0.7.5) but I haven't had much luck backporting this to 0.6.7. Suricata-5 is not affected because it doesn't use this Rust module. Closes: https://bugs.gentoo.org/797370 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: support python3_10Marek Szuba2021-05-172-2/+2
| | | | | | | Build, test and install fine, Python tools such as suricatactl or suricata-update appear to function properly too. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: leave sphinx-build and pdflatex aloneMarek Szuba2021-05-123-0/+28
| | | | | | | | | | Upstream build scripts look for the two and if they are present, attempt to generate documentation. Automagic aside, this presently only works with Sphinx versions older than 4.0.0 - and in any case release tarballs include both PDF guides and man pages. Closes: https://bugs.gentoo.org/789528 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: flag-o-matic--, missing dieSam James2021-04-032-4/+4
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* net-analyzer/suricata: migrate to tmpfiles.eclassTheo Anderson2021-03-072-4/+4
| | | | | | Package-Manager: Portage-3.0.16, Repoman-3.0.2 Signed-off-by: Theo Anderson <telans@posteo.de> Signed-off-by: David Seifert <soap@gentoo.org>
* net-analyzer/suricata: bump v6 to 6.0.2Marek Szuba2021-03-042-4/+4
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: bump v5 to 5.0.6Marek Szuba2021-03-042-3/+3
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* */*: Remove obsolete values from PYTHON_COMPATMichał Górny2021-01-312-2/+2
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* net-analyzer/suricata: remove oldMarek Szuba2021-01-255-802/+0
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: migrate v5 to lua-single.eclass as wellMarek Szuba2021-01-251-0/+204
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: bump the old stable branch to 5.0.5Marek Szuba2020-12-062-0/+198
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: bump to 6.0.1Marek Szuba2020-12-063-1/+205
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: limit unmigrated ebuilds to dev-lang/lua:0Marek Szuba2020-12-032-2/+2
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: migrate to lua-single.eclassMarek Szuba2020-10-141-0/+208
| | | | | | | Both the documentation and the autoconf script only mention luajit and lua5.1 so limit compatibility to these two. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: bump to 6.0.0Marek Szuba2020-10-093-0/+231
| | | | | | | | | Okay, this has turned out to be easier than I thought it might be. Note to self: since suricata-6 no longer supports unified2 output and suricata-5 is still supported upstream (even 4 will only reach end of life on 2020-12-31), keep the latter around for at least a bit longer. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: bump to 5.0.4Marek Szuba2020-10-092-3/+3
| | | | | | | 6.0.0 is out now too but it may or may not take time to package, and 5.0.4 fixes some potential security issues detected by Oss-Fuzz. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: support python3_9Marek Szuba2020-07-171-2/+2
| | | | | | | | | | | | Builds, tests and installs fine, and at least suricata-update works without problems. Tested pypy3 support as well and it needs work, somehow Python modules for this implementation end up in /usr/site-packages. Tools work fine once the modules have been manually moved to the right directory, though. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: bump to 5.0.3 + remove 5.0.2Marek Szuba2020-05-222-2/+2
| | | | | Bug: https://bugs.gentoo.org/724536 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: remove oldMarek Szuba2020-04-232-202/+0
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: add missing "|| die" guard to sed callMarek Szuba2020-04-231-6/+5
| | | | | | Also, some cosmetic changes to dependencies. Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: bump to 5.0.2Marek Szuba2020-03-042-0/+199
| | | | Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: Switch to PYTHON_MULTI_USEDEP APIMichał Górny2020-02-091-1/+3
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* net-analyzer/suricata: build with -fno-common / gcc-10Marek Szuba2020-02-051-2/+5
| | | | | | | | | | Tried fixing the code but it turns out it would require a non-trivial amount of changes so let's just force -fcommon. Tested using gcc-9 with -fno-common included in CFLAGS. Closes: https://bugs.gentoo.org/707204 Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: remove custom logrotate configMarek Szuba2020-01-221-10/+0
| | | | | | | | | | | Recent versions of suricata come with official logrotate configuration and older versions have since been removed from the tree. Suggested-by: Michael Mair-Keimberger <m.mairkeimberger@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/14404 Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: depend on virtual/rust, not dev-lang/rustMarek Szuba2019-12-201-1/+1
| | | | | | | | In other words, do not force users to build Rust from source. Closes: https://bugs.gentoo.org/703346 Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: fix typo in postinst messagesMarek Szuba2019-12-191-1/+1
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* */*: Reassign slis' packagesMichał Górny2019-12-181-3/+0
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* net-analyzer/suricata: remove oldMarek Szuba2019-12-188-497/+0
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: bump to 5.0.1Marek Szuba2019-12-188-2/+458
| | | | | | | | | | Further clean-up of old ebuilds, tools are no longer optional, there is now a config phase to download an initial rule set using suricata-update. Closes: https://bugs.gentoo.org/703184 Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: tweak the systemd unit a bitMarek Szuba2019-12-171-5/+3
| | | | | | | | | | | | | | | | | | | | Some of the ideas I picked up from https://gist.github.com/stupidpupil/4edcbe2046b3b22c81c606efee0492d7 do not quite work at present, namely: - limiting capabilities to CAP_NET_ADMIN causes problems e.g. when switching to an unprivileged user or while trying to load eBPF files. Just get rid of it; - suricata can now be launched just fine without Type=forking. Moreover, /run is now used instead of /var/run in the unit file so that systemd doesn't complain about the use of legacy paths. No revbump because even the updated unit does not run out of the box due to specifying neither an interface nor a mode of operations on the command line. Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: remove vulnerable 4.0.4Marek Szuba2019-12-167-203/+2
| | | | | | | Bug: https://bugs.gentoo.org/690196 Bug: https://bugs.gentoo.org/686428 Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: add self to the list of maintainersMarek Szuba2019-12-161-0/+4
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* net-analyzer/suricata: bump to 5.0.0 and EAPI 7Marek Szuba2019-12-168-1/+313
| | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Marek Szuba <marecki@gentoo.org>
* */*: [QA] Fix trivial cases of MissingTestRestrictMichał Górny2019-12-111-0/+1
| | | | | | | | | | | | | | | | | | The result was achieved via the following pipeline: pkgcheck scan -c RestrictTestCheck -R FormatReporter \ --format '{category}/{package}/{package}-{version}.ebuild' | xargs -n32 grep -L RESTRICT | xargs -n32 sed -i -e '/^IUSE=.*test/aRESTRICT="!test? ( test )"' The resulting metadata was compared before and after the change. Few Go ebuilds had to be fixed manually due to implicit RESTRICT=strip added by the eclass. Two ebuilds have to be fixed because of multiline IUSE. Suggested-by: Robin H. Johnson <robbat2@gentoo.org> Closes: https://github.com/gentoo/gentoo/pull/13942 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* net-analyzer/suricata: fixed installations warningsSlawomir Lis2019-09-081-2/+3
| | | | | Package-Manager: Portage-2.3.75, Repoman-2.3.17 Signed-off-by: Slawek Lis <slis@gentoo.org>
* net-analyzer/suricata: Updated init.d and conf.d default pathesSlawomir Lis2019-09-083-3/+3
| | | | | Package-Manager: Portage-2.3.75, Repoman-2.3.17 Signed-off-by: Slawek Lis <slis@gentoo.org>
* net-analyzer/suricata: fixed build error related with SIOCGSTAMPSlawomir Lis2019-09-082-2/+16
| | | | | | Closes: https://bugs.gentoo.org/692546 Package-Manager: Portage-2.3.75, Repoman-2.3.17 Signed-off-by: Slawek Lis <slis@gentoo.org>
* net-analyzer/suricata: remove vulnerable 4.0.3Marek Szuba2018-06-112-168/+0
| | | | | Bug: https://bugs.gentoo.org/647664 Package-Manager: Portage-2.3.40, Repoman-2.3.9